微凉的衣柜 2021-01-17 23:48 采纳率: 64.7%
浏览 755
已结题

RTX 3080 Ubuntu 18.04 cuda11.1 安装pytorch1.7.1出错

安装了gcc 9.1.0

显卡驱动:

如题所示的环境,如果安装pytorch1.7.1,输入

print(torch.rand(3,3).cuda()) 

后出现如下图所示错误:

新建一个虚拟环境后安装pytorch 1.5.0,输入上述测试代码后需要等5分钟以上可以出现以下结果:

之后可以正常运行。但每次重新打开python时第一次将torch放入gpu都需要等待5分钟以上。尝试很多办法也没有解决,烦请各位指导!

  • 写回答

1条回答 默认 最新

  • 微凉的衣柜 2021-09-08 15:09
    关注

    安装高版本的pytorch后问题解决。

    本回答被题主选为最佳回答 , 对您是否有帮助呢?
    评论

报告相同问题?

问题事件

  • 系统已结题 9月16日
  • 已采纳回答 9月8日

悬赏问题

  • ¥15 DIFY API Endpoint 问题。
  • ¥20 sub地址DHCP问题
  • ¥15 delta降尺度计算的一些细节,有偿
  • ¥15 Arduino红外遥控代码有问题
  • ¥15 数值计算离散正交多项式
  • ¥30 数值计算均差系数编程
  • ¥15 redis-full-check比较 两个集群的数据出错
  • ¥15 Matlab编程问题
  • ¥15 训练的多模态特征融合模型准确度很低怎么办
  • ¥15 kylin启动报错log4j类冲突